Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn
                  org.richfaces.component.AbstractColumn
                      org.richfaces.component.UIColumn

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.Column

    @Generated(value={"RichFaces CDK","4.1.0.CR2"})
    public class UIColumn

extends AbstractColumn

Author:
  Anton Belevich

Nested Class Summary
`protected static class` | `UIColumn.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIColumn()`

Method Summary
`int` | `getColspan()`
`Comparator<?>` | `getComparator()`
`String` | `getFamily()`
`org.richfaces.model.Filter<?>` | `getFilter()`
`Object` | `getFilterExpression()`
`Object` | `getFilterValue()`
`String` | `getFooterClass()`
`String` | `getHeaderClass()`
`int` | `getRowspan()`
`Object` | `getSortBy()`
`org.richfaces.component.SortOrder` | `getSortOrder()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getWidth()`
`boolean` | `isBreakRowBefore()`
`void` | `setBreakRowBefore(boolean breakRowBefore)`
`void` | `setColspan(int colspan)`
`void` | `setComparator(Comparator<?> comparator)`
`void` | `setFilter(org.richfaces.model.Filter<?> filter)`
`void` | `setFilterExpression(Object filterExpression)`
`void` | `setFilterValue(Object filterValue)`
`void` | `setFooterClass(String footerClass)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setRowspan(int rowspan)`
`void` | `setSortBy(Object sortBy)`
`void` | `setSortOrder(org.richfaces.component.SortOrder sortOrder)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setWidth(String width)`

Methods inherited from class org.richfaces.component.AbstractColumn
`getFilterField, getSortField`

Methods inherited from class javax.faces.component.UIColumn
`getFooter, getHeader, setFooter, setHeader`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIColumn

    public UIColumn()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIColumn`

### isBreakRowBefore

    public boolean isBreakRowBefore()

  Specified by:
    `isBreakRowBefore` in class `AbstractColumn`

### setBreakRowBefore

    public void setBreakRowBefore(boolean breakRowBefore)

### getColspan

    public int getColspan()

  Specified by:
    `getColspan` in class `AbstractColumn`

### setColspan

    public void setColspan(int colspan)

### getComparator

    public Comparator<?> getComparator()

  Specified by:
    `getComparator` in class `AbstractColumn`

### setComparator

    public void setComparator(Comparator<?> comparator)

### getFilter

    public org.richfaces.model.Filter<?> getFilter()

  Specified by:
    `getFilter` in class `AbstractColumn`

### setFilter

    public void setFilter(org.richfaces.model.Filter<?> filter)

### getFilterExpression

    public Object getFilterExpression()

  Specified by:
    `getFilterExpression` in class `AbstractColumn`

### setFilterExpression

    public void setFilterExpression(Object filterExpression)

### getFilterValue

    public Object getFilterValue()

  Specified by:
    `getFilterValue` in class `AbstractColumn`

### setFilterValue

    public void setFilterValue(Object filterValue)

### getFooterClass

    public String getFooterClass()

  Specified by:
    `getFooterClass` in class `AbstractColumn`

### setFooterClass

    public void setFooterClass(String footerClass)

### getHeaderClass

    public String getHeaderClass()

  Specified by:
    `getHeaderClass` in class `AbstractColumn`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getRowspan

    public int getRowspan()

  Specified by:
    `getRowspan` in class `AbstractColumn`

### setRowspan

    public void setRowspan(int rowspan)

### getSortBy

    public Object getSortBy()

  Specified by:
    `getSortBy` in class `AbstractColumn`

### setSortBy

    public void setSortBy(Object sortBy)

### getSortOrder

    public org.richfaces.component.SortOrder getSortOrder()

  Specified by:
    `getSortOrder` in class `AbstractColumn`

### setSortOrder

    public void setSortOrder(org.richfaces.component.SortOrder sortOrder)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractColumn`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractColumn`

### setStyleClass

    public void setStyleClass(String styleClass)

### getWidth

    public String getWidth()

  Specified by:
    `getWidth` in class `AbstractColumn`

### setWidth

    public void setWidth(String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.